package com.zcloud.zcGbsServicer.domain.gateway;

import com.zcloud.zcGbsServicer.domain.model.ResourceDeviceE;

import java.util.List;

/**
* web-domain
* @Author makejava
* @Date 2026-01-21 17:23:16
*/
public interface ResourceDeviceGateway {

    /**
    * 新增
    */
    Boolean add(ResourceDeviceE resourceDeviceE) ;

    /**
     * 批量新增
     */
    Boolean addBatch(List<ResourceDeviceE> resourceDeviceEList);

    /**
    * 修改
    */
    Boolean update(ResourceDeviceE resourceDeviceE);

    /**
    * 删除
    */
    Boolean deletedResourceDeviceById(Long id);
    Boolean deletedResourceDeviceByIds(Long[] id);

    /**
     * 根据绑定资源删除同设备类型
     */
    Boolean deletedResourceDeviceByBizId(String roomId, Integer deviceType);
}

